.input {
  display: block;
  position: relative;
  background-color: $white;
  cursor: pointer;

  &__field {
    font-size: 16px;
    line-height: 19px;
    color: $txt-main;
    cursor: pointer;
    transition: border-color $easing;
    border-bottom: 1px solid $gray;
    padding: 6px 0;
    width: 100%;

    &:hover {
      border-color: $accent-hover;
    }
  }

  &__placeholder {
    font-size: 16px;
    line-height: 19px;
    color: $txt-secondary;
    font-weight: 400;
    position: absolute;
    top: 6px;
    left: 0;
    z-index: 1;
    transition: transform $easing;
    pointer-events: none;
    transform-origin: 0 0;
  }

  &_focused & {
    &__field {
      border-color: $accent;
    }

    &__placeholder {
      transform: scale(0.75) translateY(-20px);
      transform-origin: 0 0;
    }
  }
}
